package com.unibuy.smartdevice.exception;

public class LogsSettingEmptyException extends LogsException {
    public LogsSettingEmptyException(Logs logs, String message) {
        super(logs, message);
    }

    public LogsSettingEmptyException(Logs logs, ErrorCode errorCode) {
        super(logs, errorCode);
    }

    public LogsSettingEmptyException(Logs logs, Throwable cause) {
        super(logs, cause);
    }

    public LogsSettingEmptyException(Logs logs, String message, ErrorCode errorCode) {
        super(logs, message, errorCode);
    }

    public LogsSettingEmptyException(Logs logs, String message, Throwable cause) {
        super(logs, message, cause);
    }

    public LogsSettingEmptyException(Logs logs, ErrorCode errorCode, Throwable cause) {
        super(logs, errorCode, cause);
    }

    public LogsSettingEmptyException(Logs logs, String message, ErrorCode errorCode, Throwable cause) {
        super(logs, message, errorCode, cause);
    }
}
